<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Each particle has to extend Particle and override this method: void paint(Canvas canvas, Size size, progress, seed)

Canvas is the canvas you can paint on
The size is the bounding box of the the enclosing widget
Progress is a double between 0 and 1, it reflects the progress in the animation
The seed is an int value generated once for every tap. When dealing with randoms, initialize your Random with that seed (so every frame is synced)

## Features
*Highly customizable (Don't like my particle effects? Make your own with little effort!)
*Very easy to use
*A lot of premade particles

## Getting started

Each particle has to extend Particle and override this method: void paint(Canvas canvas, Size size, progress, seed)

Canvas is the canvas you can paint on
The size is the bounding box of the the enclosing widget
Progress is a double between 0 and 1, it reflects the progress in the animation
The seed is an int value generated once for every tap. When dealing with randoms, initialize your Random with that seed (so every frame is synced)




```dart
PimpedButton(
  particle: DemoParticle(),
  pimpedWidgetBuilder: (context, controller) {
    return FloatingActionButton(onPressed: () {
      controller.forward(from: 0.0);
    },);
  },
);```

## Additional information

TODO: Tell users more about the package: where to find more information, how to 
contribute to the package, how to file issues, what response they can expect 
from the package authors, and more.
